#!/bin/sh -
#
# Created on Wed Aug 12 16:12:13 PDT 1993 by Todd_Atkins@CAST.Stanford.EDU
#
# Copyright (1995) The Board of Trustees of the Leland Stanford Junior
# Univeristy.  Except for commercial resale, lease, license or other commercial
# transactions, permission is hereby given to use, copy, modify, and distribute
# this software -- by exercising this permission you agree that this Notice
# shall accompany this software at all times. 
# 
# STANFORD MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING
# THIS SOFTWARE.
#
perl=''
dirs="`echo $PATH | sed -e 's/:/ /g'`"
for dir in $dirs ; do
	if [ -x "$dir/perl" ]; then
		perl="$dir/perl"
		exec $perl install.pl $perl
	fi
done

echo "I could not find the perl program."
echo "Where can I find it? "

read ans

if [ "x" = "x$ans" ]; then
	ans="lsjumb"
fi

if [ -d $ans ]; then
	perl="$ans/perl"
elif [ -x $ans ]; then
	perl="$ans"
else
	echo "The perl program is required for this package to run."
	echo "Find out where perl is located on this system and try again."
	exit
fi

exec $perl install.pl $perl
